ACOSH(3)

NAME
acosh, acoshf, acoshl - inverse hyperbolic cosine functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
acosh(double x);
float
acoshf(float x);
long double
acoshl(long double x);

DESCRIPTION
The acosh(), acoshf(), and acoshl() functions compute the inverse hyperbolic cosine of the real argument x. For a discussion of error due to roundoff, see math(3).

RETURN VALUES
These functions return the inverse hyperbolic cosine of x. If the argument is less than 1, acosh() raises an invalid exception and returns an .

SEE ALSO
asinh(3), atanh(3), exp(3), fenv(3), math(3)

HISTORY
The acosh(), acoshf(), and acoshl() functions appeared in 4.3BSD, FreeBSD 2.0, and FreeBSD 10.0, respectively.